Subject: RE: a new DNS root for the world?

From: "Thomas Gal" <[email-masked]>
Date: Fri, 7 Oct 2005 14:48:13 -0700

Actually the whole DNS caching and forwarding scheme is simply analagous to
a nice and easy heuristic greedy algorithm. It's not perfect......but it's
about the best you can do without being rediculous.

-Tom

> The last time I had a reason keep a copy of the root file 
> locally was back around 1999 and I think .com alone weighed 
> in at over 3 gigs (I think that was uncompressed, but I've 
> been hit in the head a lot in the last six years so I don't 
> quite remember).  I know you weren't serious, but at it's 
> uncompressed size in 1999 it would be bandwidth cost 
> efficient to send the root file to someone only if they were 
> to perform approximately 6.3 million queries per version of 
> root file (which would of course become outdated during 
> transfer).  Now lets say it's only a one time transfer and 
> after that only updates are sent.  Well forgetting the 
> bandwidth generated by the updates, if a person performed 200 
> queries a night it would take them about
> 86 years to reach the 6.3 million needed to make the initial 
> transfer cost effective.
> 
> I'm sorry, one should never answer angry and I'm well...okay 
> I just think it's stupid to do away with the root and I think 
> dns delegation has exquisite scalability and near absolute 
> empowerment to the people.  Any possibility that the Internet 
> might not be able to support DNS resolver traffic because of 
> a root server bottleneck is beyond my concept of reality.
> If it truly is a bottleneck then maybe we need to seek the 
> advise of some adult webmasters and ask them how they manage 
> to serve multiple terabytes of porn a day without breaking a 
> sweat or bringing down their ISP.  Considering that when two 
> technical people have a discussion you end up with 3 opinions 
> that neither one agrees with I feel somewhat better not 
> "letting everyone play" in the root.  In fact I'm all for 
> fairness but I'm not about to agree to tearing down a genius 
> system just so foreign nationalists can have their ego 
> satisfied by sticking their finger in the pot (Jefsey the 
> foreign nationalist comment IS NOT directed at you at all - 
> it's directed at the politicians and delegates who live life 
> like it's a game of push and pushback).
> 
> My apologies for the rant, I'm sure I'll regret it when 
> someone who knows more than me replies explaining why I'm wrong.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf